/*******************************

        Signature v 0.1b
        Mario Gosparini
                Dyrk.org

*******************************/


var d = document, w = window, html = d.getElementsByTagName('html')[0], upPdf = d.getElementById('pdf');
if (upPdf) upPdf.addEventListener('change', function(el){ el.target.parentNode.submit(); });
html.addEventListener('contextmenu', function (ev){
	ev.preventDefault();
	menu = document.getElementById('contextMenu');
	if (menu) menu.parentNode.removeChild(menu);
	var menu = document.createElement('div');
	menu.setAttribute('style', 'top:'+ev.layerY+'px;left:'+ev.layerX+'px;');
	menu.textContent = 'Signer ici';
	menu.id = 'contextMenu';
	menu.addEventListener('click', function(evt){
		evt.target.parentNode.removeChild(evt.target);
		date = new Date();
		date = date.getDate() + "/" + (date.getMonth()+1) + "/" +date.getUTCFullYear();
		if (! confirm("Souhaitez vous Ajouter une signature ici ?")) return -1;
		name = prompt("Indiquez votre Nom - Prenom");
		var signature = document.createElement('canvas');
		ctx = signature.getContext('2d');
		ctx.font="20px Calibri";
		ctx.fillText(name+",  Le "+date,10,20);
		signature.setAttribute('style', 'top:'+ev.pageY+'px;left:'+ev.pageX+'px;');
		signature.signClick = false;
		signature.setAttribute('class','signature signOver');
		signature.addEventListener('mouseup'  , function(e){  e.target.signClick = false; });
		signature.addEventListener('mousedown', function(e){  e.target.signClick = true;  });
		signature.addEventListener('mouseover', function(e){ signature.setAttribute('class','signature signOver');  });
		signature.addEventListener('mouseout', function(e){ signature.setAttribute('class','signature signOut');  });
		signature.addEventListener('mousemove', function(e){
  		if (e.target.signClick)  
			e.target.getContext('2d').fillRect(e.pageX - e.target.offsetLeft ,e.pageY - e.target.offsetTop,5,5);
		});
		html.appendChild(signature);
	});
	html.appendChild(menu);
	return false;
});
